<?php
/*
* Yannick KERMAREC
* http://www.kermarec.com
*/

if (!defined('_CAN_LOAD_FILES_'))
	exit;

class GoogleCloudPrint extends Module
{

	public function __construct()
	{
		$this->name = 'googlecloudprint';
		$this->tab = 'back_office_features';
		$this->version = '0.1';
		$this->author = 'Yannick KERMAREC';
		$this->need_instance = 0;

	 	parent::__construct();

		$this->displayName = $this->l('Google Cloud Print');
		$this->description = $this->l('Adds a Google Cloud Print button to print pdf');
		$this->confirmUninstall = $this->l('Are you sure you want to delete Google Cloud Print ?');
	}
	
	public function install()
	{
		return (parent::install() AND $this->registerHook('BackOfficeFooter'));
	}
	
	public function uninstall()
	{
		return (parent::uninstall());
	}
	
	public function hookbackOfficeFooter($params)
	{
		return ''."\n".
		   '<script type="text/javascript" src="http://www.google.com/cloudprint/client/cpgadget.js"></script>'."\n".
		   '<script type="text/javascript">var module_url=\''.$this->_path.'\';</script>'."\n".
		   '<script type="text/javascript" src="../modules/googlecloudprint/gcpauto.js"></script>'."\n";
		//Tools::addJS('http://www.google.com/cloudprint/client/cpgadget.js', 'all');
		//Tools::addJS(($this->_path).'gcpauto.js', 'all');
	}

	/*public function getContent()
	{
		return "Menu Bar Admin";
	}*/
}